{
  flake,
  osConfig,
  pkgs,
  ...
}:
let
  inherit (flake.config.aesthetics.themes) fonts;
  inherit (flake.config.machines.devices) deimos;
  hostname = osConfig.networking.hostName;
in
{
  confirm-close-surface = false;
  window-decoration = if hostname == deimos.name then true else false;
  font-size = fonts.sizes.terminal.size0;
  font-family = fonts.names.name0;
  window-padding-x = 10;
  window-padding-y = 10;
  copy-on-select = true;
  bold-is-bright = true;
  shell-integration = "detect";
  command = "${pkgs.nushell}/bin/nu";
}
